services:
  mine-portainer:
    container_name: mine-portainer
    image: portainer/portainer-ce
    env_file: ./portainer.env
    restart: always
    ports:
      - 21201:9000
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock:ro
      - ${PERSISTANT_STORAGE_PATH}/portainer/data:/data
    networks:
      user_default:
        ipv4_address: 172.18.0.2

networks:
  user_default:
    external: true
